.\\" auto-generated by docbook2man-spec $Revision: 1.1.1.1 $
.TH "SPI_is_cursor_plan" "" "2006-10-07" "" "PostgreSQL 8.2beta1 Documentation"
.SH NAME
SPI_is_cursor_plan \- return true if a plan  prepared by SPI_prepare can be used with  SPI_cursor_open

.SH SYNOPSIS
.sp
.nf
bool SPI_is_cursor_plan(void * \fIplan\fR)
.sp
.fi
.SH "DESCRIPTION"
.PP
\fBSPI_is_cursor_plan\fR returns \fBtrue\fR
if a plan prepared by \fBSPI_prepare\fR can be passed
as an argument to \fBSPI_cursor_open\fR, or
\fBfalse\fR if that is not the case. The criteria are that the
\fIplan\fR represents one single command and that this
command returns tuples to the caller; for example, \fBSELECT\fR
is allowed unless it contains an INTO clause, and
\fBUPDATE\fR is allowed only if it contains a RETURNING
clause.
.SH "ARGUMENTS"
.TP
\fBvoid * \fIplan\fB\fR
execution plan (returned by \fBSPI_prepare\fR)
.SH "RETURN VALUE"
.PP
\fBtrue\fR or \fBfalse\fR to indicate if the
\fIplan\fR can produce a cursor or not, or
\fBSPI_ERROR_ARGUMENT\fR if the \fIplan\fR
is \fBNULL\fR
